:root {
  --black: #000000;
  --white: #FFFFFF;
  --background-primary: rgba(34, 31, 41, .4);
  --primary-color: #A17FE6;
  --header-color: #FFFFFF;
  --icon-color: #FFFFFF;
  --hover-color: #A17FE6;
  --button-color: #A17FE6;
  --button-hover-color: #8d6cca;
  --modal-background: #221F29;
  --input-background: #5C5A60;
  --placeholder: #B4B4B4;
}

* {
  padding: 0;
  margin: 0;
}

body {
  font-family: 'Quicksand', sans-serif;
  background-color: var(--black);
}

/* Multiply */

h3{
  font-size: 32px;
  color: var(--header-color);
  margin-top: 50px;
  margin-bottom: 50px;
}

.btn-primary{
  padding: 12px 36px;
  font-weight: 500;
  font-size: 20px;
  border-radius: 34px;
  transition: all ease-in-out .3s;
  background-color: var(--button-color);
  border: 1px solid var(--button-color);
}

.btn-primary:hover{
  background-color: var(--button-hover-color);
  border: 1px solid var(--button-hover-color);
}

/* Content */

h1 {
  font-size: 80px;
  letter-spacing: 20px;
  font-weight: 600;
  color: var(--header-color);
}


#coming-soon {
  background-image: url(../assets/Coming\ Soon\ -\ 8.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
  overflow: hidden;
}

#coming-soon .overlay{
  position:absolute;
  top:0;
  left:0;
  right:0;
  bottom:0;
  background-color:var(--background-primary);
  z-index:9999;
  padding: 50px;
}

#coming-soon .coming-content{
  margin-top: 200px;
}

#coming-soon i {
  font-size: 40px;
  color: var(--icon-color);
  margin-left: 32px;
  transition: all ease-in-out 0.3s;
}

#coming-soon a:hover i {
  color: var(--hover-color);
}


/* Modal */

.modal-dialog{
  max-width: 50%;
  top: 23%;
}

.modal-content{
  background-color: var(--modal-background);
}

.modal-body{
  padding: 45px;
  background-color: var(--modal-background);
  border: 1px solid var(--primary-color);
  border-radius: 10px;
}

.modal h4{
  font-size: 20px;
  margin-bottom: 25px;
  text-align: center;
  color: var(--header-color);
}

.modal label{
  font-size: 18px;
  margin-bottom: 16px;
  color: var(--header-color);
}

.modal input{
  border: none;
  border-radius: 10px;
  border-bottom: none;
  background-color: var(--input-background);
  padding: 16px 24px;
  font-size: 20px;
  margin-bottom: 30px;
  color: var(--header-color);
}

.modal input:focus{
  background-color: var(--input-background);
  color: var(--header-color);
}

.modal input::placeholder{
  color: var(--placeholder);
  font-size: 20px;
}
